<?php
//共通 eventCdxx.jsにてCall
require_once '../base/common.php';
$logger = new logger(basename(__FILE__));
$logger->info("===getMstNm_start===",$data);

$response["status"] = "NG";

try {
  global $dbutil;
  global $stringUtil;

  $valutil = new getValueUtil();

  $requestBody = file_get_contents('php://input');
  $logger->info("data", $requestBody );
  $data = json_decode($requestBody, true);

  $logger->info("data", $data );

  $tblnm = $data["tblnm"];

  if ($tblnm == "afm02") {
    //後方検索したり、comnpack.makeCDしたりする。複数件ヒット時のみret:-2でエラーとする
    $retChkAfm02 = $valutil->chkAfm02CntB4GetNm($data["inpcd"],$data["stpflg"]);
$logger->info("retChkAfm02",$retChkAfm02);
    $w_ret = $retChkAfm02["ret"];   //ret : 0: 前方検索で1件 or 0件、-2: 前方検索で複数あり->複数選択画面を検索
    $w_inpcd = $retChkAfm02["inpcd"]; //ret : 0時に名称取得に使うinpcd (1件ヒット->その時のjan, 0件ヒット->994を見てlpad or rpad)

    if($w_ret == '0') {
      $result = $valutil->allMastData($data["stpflg"],$tblnm,$w_inpcd,'1'); //まずjanとしてみる
      if($result["ret"] != '0') {
        $result = $valutil->allMastData($data["stpflg"],$tblnm,$w_inpcd,'2'); //なければ次にvjanとしてみる
      }
    } else {
      $result = $retChkAfm02; //エラーretをそのまま返す。
    }
  } else if ($tblnm == "afm03") {
    //前方検索したり、lpad(rpad)したりする。複数件ヒット時のみret:-2でエラーとする
    $retChkAfm03 = $valutil->chkAfm03CntB4GetNm($data["cucd"],$data["stpflg"],$data["cntchk"]);
    $w_ret = $retChkAfm03["ret"];   //ret : 0: 前方検索で1件 or 0件、-2: 前方検索で複数あり->複数選択画面を検索
    $w_cucd = $retChkAfm03["cucd"]; //ret : 0時に名称取得に使うcucd (1件ヒット->そのcucd, 0件ヒット->994を見てlpad or rpad)
$logger->info("retChkAfm03",$retChkAfm03);

    if($w_ret == '0') {
      $result = $valutil->allMastData($data["stpflg"],$tblnm,$w_cucd);
    } else {
      $result = $retChkAfm03; //エラーretをそのまま返す。
    }
    //$result = $valutil->allMastData($data["stpflg"],$tblnm,$data["cucd"]);
  } else if ($tblnm == "afm032") {
    //前方検索したり、lpad(rpad)したりする。複数件ヒット時のみret:-2でエラーとする
    $retChkAfm032 = $valutil->getAfm032Cuscd($data["cuscd"],$data["stpflg"]);
$logger->info("retChkAfm032",$retChkAfm032);
    $result = $valutil->allMastData($data["stpflg"],$tblnm,$retChkAfm032["cuscd"],$data["cucd"]);
  } else if ($tblnm == "afm03c") {
    $result = $valutil->allMastData($data["stpflg"],$tblnm,$data["rcvdst"]);
  } else if ($tblnm == "afm036") {
    $result = $valutil->allMastData($data["stpflg"],$tblnm,$data["cshcd"],$data["cucd"]);
  } else if ($tblnm == "afm04") {
    $result = $valutil->allMastData($data["stpflg"],$tblnm,$data["mcd"]);
  } else if ($tblnm == "afm05") {
    $result = $valutil->allMastData($data["stpflg"],$tblnm,$data["ktktcd"],$data["ktcls"]);
  } else if ($tblnm == "afm08") {
    $result = $valutil->allMastData($data["stpflg"],$tblnm,$data["chgcd"]);
  } else if ($tblnm == "afm90") {
    $result = $valutil->allMastData($data["stpflg"],$tblnm,$data["cls"],$data["scls1"]);
  }
  $logger->info("result_getMstNm>>",$result);

  if($result["ret"] == '0') {
    $response["status"] = "OK";
    $response["data"]   = json_encode($result, JSON_PARTIAL_OUTPUT_ON_ERROR);
  } else {
    $response["status"] = "NG";
    $retData["ret"] = $result["ret"];
    $retData["msg"] = $result["msg"];
    $response["data"]   = $retData;
  }

} catch(userException $ue) {
  $retData["code"]  = $ue->getErrorCode();
  $retData["msg"]   = $ue->getErrorMessage();

  $response["status"] = "NG";
  $response["data"]   = $retData;

  $dbutil->rollback();
} catch(Exception $e) {
  $response["status"] = "NG";
  $response["data"]   = $e->getMessage();

  $dbutil->rollback();

} finally {
  print(json_encode($response));
}


$logger->info("=== end ===", $response);

?>
